Bug 222805 - [NEW PORT] dns/dns2blackhole: Malware Prevention through Domain Blocking
Summary: [NEW PORT] dns/dns2blackhole: Malware Prevention through Domain Blocking
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-05 22:52 UTC by joeb1
Modified: 2018-02-20 16:36 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
shar file of new port make files (3.79 KB, text/plain)
2017-10-05 22:52 UTC, joeb1
no flags Details
update shar file (3.71 KB, text/plain)
2017-10-13 14:14 UTC, joeb1
joeb1: maintainer-approval+
Details
dns2blackhole-0.0.patch (5.66 KB, patch)
2017-10-14 00:59 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joeb1 2017-10-05 22:52:38 UTC
Created attachment 186930 [details]
shar file of new port make files

New port. Just some scripts. port tested and working fine.
Comment 1 Danilo G. Baio freebsd_committer 2017-10-12 22:06:15 UTC
Thank you for your contribution.

Could you please verify these issues and submit a new shar/patch?

$ portlint -CA
WARN: /usr/home/dbaio/ports/dns/dns2blackhole/pkg-plist: [7]: If and only if your port is DOCSDIR-safe (that is, a user can override DOCSDIR when building this port and the port will still work correctly) consider using DOCSDIR macro; if you are unsure if this this port is DOCSDIR-safe, then ignore this warning
WARN: Makefile: [2]: whitespace before end of line.
FATAL: Makefile: [12]: use a tab (not space) after a variable name
WARN: Makefile: [21]: whitespace before end of line.
FATAL: Makefile: [15]: contiguous blank lines (> 1 lines) found.
FATAL: Makefile: no $FreeBSD$ line in comment section.
FATAL: Makefile: extra item "USES" placed in the LICENSE section.
FATAL: Makefile: extra item "NO_BUILD" placed in the LICENSE section.
FATAL: Makefile: extra item "NO_ARCH" placed in the LICENSE section.
WARN: /usr/home/dbaio/ports/dns/dns2blackhole/pkg-message: possible use of absolute pathname "/usr/local/share/doc...".
WARN: /usr/home/dbaio/ports/dns/dns2blackhole/pkg-message: possible direct use of "  /usr/local" found. if so, use ${PREFIX} or ${LOCALBASE}, as appropriate.
6 fatal errors and 5 warnings found.

Confirm that this new port passes in QA (portlint, poudriere in particular). 
For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

Regards.
Comment 2 joeb1 2017-10-13 14:14:36 UTC
Created attachment 187134 [details]
update shar file

Just a little note to guide your ports work.
In 10 years of submitting ports you are the first one to request Makefile syntax changes. It's understood that you are empowered to fix these simple syntax errors on the fly and go ahead and commit the port. Your wasting your time and mine time cycling such miner fixes back to the submitter. That portlite is over sensitive and is nothing but a guide, not intended to be used in the manner you are using it. You have to execute some judgement, not blindly follow some words in some book. Your number of committed ports will rise as you will have more time to process more ports just by using a little judgement and correcting those simple syntax error your self just like the other committers do. This is one of those un-documented rules that experienced commenters follow. How do you think some of those commenters get such high number of commits per month? I can guarantee you it's not by cycling every nit syntax error back to the submitter over and over again. Be assertive, take charge, correct everything in the port make files that you can so you can commit it.
Comment 3 Danilo G. Baio freebsd_committer 2017-10-14 00:59:46 UTC
Created attachment 187154 [details]
dns2blackhole-0.0.patch


Hi, attached patch with some modifications, if it's ok for you I'll commit this asap.
Regards.
Comment 4 joeb1 2017-10-14 12:43:26 UTC
commit
Comment 5 commit-hook freebsd_committer 2017-10-14 13:15:45 UTC
A commit references this bug:

Author: dbaio
Date: Sat Oct 14 13:15:15 UTC 2017
New revision: 452064
URL: https://svnweb.freebsd.org/changeset/ports/452064

Log:
  New port dns/dns2blackhole: Malware Prevention through Domain Blocking

  dns2blackhole is a set of Bourne Shell csh scripts that fetch host files
  from public host file providers that contain the FQDN [ Fully Qualified
  Domain Names ] of sites that fall into the following categories, adware,
  malware, exploit, hijackers, harvesters, tracking, phishing, fake news,
  fraud, spam, sex, porn, gambling, advertisements, misleading marketing,
  illegal pharmacy, warez/piracy and others. The output of the dns2blackhole
  scripts is fed directly into the ports/package versions of unbound, named,
  and dnsmask DNS servers to block those FQDN thus protecting user
  devices from being compromised or bothered seeing things of no interest.
  The base built-in version of unbound titled "local_unbound" can also be
  configured to work using the dns2blackhole method. This black hole method
  is another layer of protection that you can customize to your needs.

  WWW: http://dns2blackhole.sourceforge.net/

  PR:		222805
  Submitted by:	joeb1@a1poweruser.com

Changes:
  head/dns/Makefile
  head/dns/dns2blackhole/
  head/dns/dns2blackhole/Makefile
  head/dns/dns2blackhole/distinfo
  head/dns/dns2blackhole/files/
  head/dns/dns2blackhole/files/pkg-message.in
  head/dns/dns2blackhole/pkg-descr
  head/dns/dns2blackhole/pkg-plist
Comment 6 Danilo G. Baio freebsd_committer 2017-10-14 13:17:37 UTC
Committed, thanks!
Comment 7 lisacams 2018-02-20 16:36:47 UTC
MARKED AS SPAM